package net.yisu.august.Nativo;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class Configurator {

	public static String MYSQL_DRIVER_CLASS_NAME;
	public static String MYSQL_CONNECTION_STRING;
	public static String MYSQL_USERNAME;
	public static String MYSQL_PASSWORD;
	public static String EMAIL_LINK_URL;

	@Value("${net.yisu.config.mysql-driver-class-name}")
	public void setMySqlDriverClassName(String mySqlDriverClassName) {
		MYSQL_DRIVER_CLASS_NAME = mySqlDriverClassName;
	}

	@Value("${net.yisu.config.mysql-connection-string}")
	public void setMySqlConnectionString(String mySqlConnectionString) {
		MYSQL_CONNECTION_STRING = mySqlConnectionString;
	}

	@Value("${net.yisu.config.mysql-username}")
	public void setMySqlUsername(String mySqlUsername) {
		MYSQL_USERNAME = mySqlUsername;
	}

	@Value("${net.yisu.config.mysql-password}")
	public void setMySqlPassword(String mySqlPassword) {
		MYSQL_PASSWORD = mySqlPassword;
	}

}
